import { Module } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';

import { DrawController } from './draw.controller';
import { DrawService } from './draw.service';
import { MapDrawingEntity } from 'src/game/coordinate.entity';
import { FactionEntity } from 'src/game/faction.entity';
import { Game_PersonEntity } from 'src/game/game.entity';
/*
Draw
- contains everything to do with mapdrawing data.
*/
@Module({
  imports: [
    TypeOrmModule.forFeature([
      MapDrawingEntity,
      FactionEntity,
      Game_PersonEntity,
    ]),
  ],
  controllers: [DrawController],
  providers: [DrawService],
})
export class DrawModule {}
