import { GameDTO, FactionDTO } from '../game/game.dto';
import { GameEntity, Game_PersonEntity } from 'src/game/game.entity';
import { FactionEntity } from 'src/game/faction.entity';
import { MapDrawingEntity } from 'src/game/coordinate.entity';
import { IsUUID } from 'class-validator';

export class MapDrawingDTO {
  data: JSON;
  gameId: GameDTO;
  faction?: FactionDTO;
  isActive?: boolean;
  validUntil?: string;
}

export class DrawMapDTO {
  @IsUUID('4')
  mapDrawingId: MapDrawingEntity;

  gameId: GameEntity;
  factionId: FactionEntity;

  gamepersonId: Game_PersonEntity;
  data: JSON;
}
